<script setup>
import { useISAStore } from '@/stores/useISAStore';
const ISAStore = useISAStore()

if(ISAStore.investigations.size == 0) {
    await ISAStore.fetchInvestigations()
}

if(ISAStore.investigations.size == 0) {
    navigateTo('/investigations/first')
}
else {
    navigateTo('/investigations/'+Array.from(ISAStore.investigations.values())[0].id)
}

</script>

<template>
    <v-container class="d-flex align-center fill-height">
        <v-sheet>
            <h1>Welcome to Madbot</h1>
            <p class="mb-4">
                Madbot allows you to identify and track the data and metadata associated with the different stages of your research projects.
            </p>
        </v-sheet>
    </v-container>
</template>
